std::is_execution_policy(3)

NAME
std::is_execution_policy - std::is_execution_policy

Synopsis
   Defined in header <execution>
   template< class T > (since C++17)
   struct is_execution_policy;
   Checks whether T is a standard or implementation-defined execution policy type.
   Provides the member constant value which is equal to true, if T is a standard
   execution policy type, or an implementation-defined execution policy type.
   Otherwise, value is equal to false.
   The behavior of a program that adds specializations for is_execution_policy or
   is_execution_policy_v is undefined.

Template parameters
   T - a type to check
  Helper template
   Defined in header <execution>
   template< class T >
   inline constexpr bool is_execution_policy_v = (since C++17)
   std::is_execution_policy<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is a standard or implementation-defined execution policy type,
   [static] false otherwise
            (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

See also
   sequenced_policy
   parallel_policy
   parallel_unsequenced_policy
   unsequenced_policy execution policy types
   (C++17) (class)
   (C++17)
   (C++17)
   (C++20)
   seq
   par
   par_unseq
   unseq global execution policy objects
   (C++17) (constant)
   (C++17)
   (C++17)
   (C++20)